> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dwe.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get physical disk usage



## OpenAPI

````yaml https://github.com/DeepwaterExploration/dweOS/releases/latest/download/openapi.json get /api/recordings/disk
openapi: 3.1.0
info:
  title: DWE OS API
  description: API for DWE OS
  version: 0.1.0
servers: []
security: []
paths:
  /api/recordings/disk:
    get:
      tags:
        - recordings
      summary: Get physical disk usage
      operationId: get_disk_usage_api_recordings_disk_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DiskStatsResponse'
components:
  schemas:
    DiskStatsResponse:
      properties:
        total:
          type: integer
          title: Total
        used:
          type: integer
          title: Used
        free:
          type: integer
          title: Free
      type: object
      required:
        - total
        - used
        - free
      title: DiskStatsResponse

````